Bug 428361 - Review Request: synce-sync-engine - Synce synchronization engine
Review Request: synce-sync-engine - Synce synchronization engine
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On: 427526 428360
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-10 19:36 EST by Andreas Bierfert
Modified: 2008-01-13 16:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-13 16:51:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andreas Bierfert 2008-01-10 19:36:03 EST
Spec URL: http://fedora.lowlatency.de/review/synce-sync-engine.spec
SRPM URL: http://fedora.lowlatency.de/review/synce-sync-engine-0.11-1.fc9.src.rpm
Description:
Synce synchronization engine for use with libopensync.
Comment 1 Parag AN(पराग) 2008-01-12 20:03:08 EST
koji build failed
http://koji.fedoraproject.org/koji/getfile?taskID=344975&name=build.log
Comment 2 Andreas Bierfert 2008-01-13 04:25:00 EST
Sorry for the inconvenience. Missing BR python-setuptools 

http://fedora.lowlatency.de/review/synce-sync-engine-0.11-2.fc9.src.rpm

http://koji.fedoraproject.org/koji/taskinfo?taskID=345108
Comment 3 Parag AN(पराग) 2008-01-13 05:30:42 EST
rpmlint gave me
synce-sync-engine.noarch: E: explicit-lib-dependency librtfcomp-python
You must let rpm find the library dependencies by itself. Do not put unneeded
explicit Requires: tags.

synce-sync-engine.noarch: E: explicit-lib-dependency libxml2-python
You must let rpm find the library dependencies by itself. Do not put unneeded
explicit Requires: tags.

synce-sync-engine.noarch: E: explicit-lib-dependency libxslt-python
You must let rpm find the library dependencies by itself. Do not put unneeded
explicit Requires: tags.

synce-sync-engine.noarch: W: incoherent-version-in-changelog 0.11.-2 0.11-2.fc9
The last entry in %changelog contains a version identifier that is not
coherent with the epoch:version-release tuple of the package.

synce-sync-engine.noarch: W: obsolete-not-provided libopensync-plugin-synce
If a package is obsoleted by a compatible replacement, the obsoleted package
must also be provided in order to provide clean upgrade paths and not cause
unnecessary dependency breakage.  If the obsoleting package is not a compatible
replacement for the old one, leave out the provides.

synce-sync-engine.noarch: E: only-non-binary-in-usr-lib
There are only non binary files in /usr/lib so they should be in /usr/share.
Comment 4 Andreas Bierfert 2008-01-13 05:48:59 EST
The first three errors can be ignored because rpmlint just looks at the lib*
prefix. In this case the packages are -python bindings which are runtime only
dependencies and thus the explicit require is what is needed.

Changelog entry is a typo. I can fix it now or after the review whatever you like.

The obsolete is ok imho. As the last warning sentence from rpmlint says: "If it
is not compatible...". In this case it provides some of the same capabilities
(namely the opensync plugin) but is in itself a much bigger package providing
the whole engine and a completely different versioning etc so  this imho is ok.

/usr/lib vs. /usr/share error is irrelevant because opensync plugins are placed
there...

Hope this clears up the situation. Really some corner cases here which screw up
'normal' rpmlint.
Comment 5 Parag AN(पराग) 2008-01-13 09:09:45 EST
Thanks.
I will not go with detailed review here But do have suggestions
SHOULD:
 1) Source URL should be
  http://downloads.sourceforge.net/sourceforge/synce/sync-engine-%{version}.tar.gz
 2) License is GPLv2+
 3) I don't think you need => CFLAGS="$RPM_OPT_FLAGS" in %build

APPROVED.
Comment 6 Andreas Bierfert 2008-01-13 10:15:25 EST
Thanks I will change the shoulds on import as usual. Thanks to your patience
fedora users will now be able to enjoy synce related things again so THANKS.

New Package CVS Request
=======================
Package Name: synce-sync-engine
Short Description: Synce synchronization engine
Owners: awjb
Branches: F-8
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-01-13 13:14:30 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.